org.apache.tinkerpop.gremlin.structure.io

## Class IoTest.GraphSONTest

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.structure.io.IoTest.GraphSONTest

- Enclosing class:
    IoTest

      public static final class IoTest.GraphSONTest
      extends AbstractGremlinTest

- - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GraphSONTest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setupBeforeEachTest()`
    `void` | `shouldProperlySerializeCustomIdWithGraphSON()` This is just a serialization check for JSON.
    `void` | `shouldReadLegacyGraphSON()`
    `void` | `shouldReadWriteModernWrappedInJsonObject()`
    `void` | `shouldReadWriteSelfLoopingEdges()`
    `void` | `shouldWriteNormalizedGraphSON()` Only need to execute this test with TinkerGraph or other graphs that support user supplied identifiers.

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRandomCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GraphSONTest

          public GraphSONTest()

  - ### Method Detail

    - #### setupBeforeEachTest

          public void setupBeforeEachTest()

    - #### shouldWriteNormalizedGraphSON

          public void shouldWriteNormalizedGraphSON()
                                             throws Exception

      Only need to execute this test with TinkerGraph or other graphs that support user supplied identifiers.
      Throws:
        `Exception`

    - #### shouldReadWriteModernWrappedInJsonObject

          public void shouldReadWriteModernWrappedInJsonObject()
                                                        throws Exception

      Throws:
        `Exception`

    - #### shouldProperlySerializeCustomIdWithGraphSON

          public void shouldProperlySerializeCustomIdWithGraphSON()
                                                           throws Exception

      This is just a serialization check for JSON.
      Throws:
        `Exception`

    - #### shouldReadLegacyGraphSON

          public void shouldReadLegacyGraphSON()
                                        throws IOException

      Throws:
        `IOException`

    - #### shouldReadWriteSelfLoopingEdges

          public void shouldReadWriteSelfLoopingEdges()
                                               throws Exception

      Throws:
        `Exception`

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.